AiCrmMessage
Stored in the aicrmmessages collection. createdAt and updatedAt are maintained automatically.
Returned by GET /ai-crm-chat/:id.
| Field | Type | Notes |
|---|---|---|
company | ObjectId -> Company | required |
chat | ObjectId -> AiCrmChat | required |
member | ObjectId -> Member | required |
role | string | required · one of user, assistant, system |
content | string | default "" |
toolCalls | object[] | default [] |
toolCalls.callId | string | required |
toolCalls.name | string | required |
toolCalls.arguments | any | default {} |
toolCalls.thoughtSignature | string | default null |
toolCalls.readOnly | boolean | default false |
toolCalls.status | string | default pending · one of auto, pending, rejected, done, failed |
toolCalls.result | any | default null |
toolCalls.error | string | default null |
toolCalls.decidedAt | date | default null |
toolCalls.decidedBy | ObjectId -> Member | default null |
toolCalls.executedAt | date | default null |
toolCalls._id | ObjectId | default "6a95712f932657988a91c020" |
usage.inputTokens | number | default 0 |
usage.outputTokens | number | default 0 |
usage.model | string | default null |
usage.provider | string | default null |
error | string | default null |
counted | boolean | default true |
isDeleted | boolean | default false |
createdBy | ObjectId -> Member | required |
updatedBy | ObjectId -> Member | default null |
_id | ObjectId | default "6a95712f932657988a91c021" |
createdAt | date | set once |
updatedAt | date |